package org.dromara.system.service;

import org.dromara.system.domain.SiteCompanycode;
import org.dromara.system.domain.vo.SiteCompanycodeVo;
import org.dromara.system.domain.bo.SiteCompanycodeBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-10-31
 */
public interface ISiteCompanycodeService {

    /**
     * 查询【请填写功能名称】
     */
    SiteCompanycodeVo queryById(String id);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<SiteCompanycodeVo> queryPageList(SiteCompanycodeBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<SiteCompanycodeVo> queryList(SiteCompanycodeBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(SiteCompanycodeBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(SiteCompanycodeBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
